Subject: [eman] Fwd: [Errata Held for Document Update] RFC4122 (1957)

From: Benoit Claise <[email-masked]>
Date: Wed, 20 Mar 2013 16:39:38 +0100

FYI, since the UUID is used in EMAN

Regards, Benoit

-------- Original Message --------
Subject: 	[Errata Held for Document Update] RFC4122 (1957)
Date: 	Wed, 20 Mar 2013 08:26:57 -0700 (PDT)
From: 	RFC Errata System <[email-masked]>
To: 	[email-masked], [email-masked], 
[email-masked], [email-masked]
CC: 	[email-masked], [email-masked], [email-masked]

The following errata report has been held for document update
for RFC4122, "A Universally Unique IDentifier (UUID) URN Namespace".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=4122&eid=1957

--------------------------------------
Status: Held for Document Update
Type: Technical

Reported by: Sergey Shandar <[email-masked]>
Date Reported: 2009-12-03
Held by: Barry Leiba (IESG)

Section: 4.1.3

Original Text
-------------
The version number is in the most significant 4 bits of the time
stamp (bits 4 through 7 of the time_hi_and_version field).

Corrected Text
--------------
The version number is in the most significant 4 bits of the time
stamp (bits 12 through 15 of the time_hi_and_version field).

Notes
-----
time_hi_and_version is defined as 16 bit field.

--- VERIFIER NOTES ---
This change does make the text in Section 4.1.3 consistent with the sixth
bullet in Section 4.2.2.  But the issue goes well beyond that: there is a real
problem with the bit numbering throughout the RFC.  Please see erratum
3546 for more details.

--------------------------------------
RFC4122 (draft-mealling-uuid-urn-05)
--------------------------------------
Title               : A Universally Unique IDentifier (UUID) URN Namespace
Publication Date    : July 2005
Author(s)           : P. Leach, M. Mealling, R. Salz
Category            : PROPOSED STANDARD
Source              : IETF - NON WORKING GROUP
Area                : N/A
Stream              : IETF
Verifying Party     : IESG